struct btNode {
  struct btNode *left,*right;
  int data[0];
};

typedef struct btNode *BTREE;

#define btEMPTY NULL
#define btIsEmpty(t) ((t)==NULL)
#define btIsNotEmpty(t) ((t)!=NULL)
#define btRoot(t,type) ((type *)(t)->data)
#define btLeft(t) ((t)->left)
#define btRight(t) ((t)->right)
#define btFree(pt) {btBrowseDepth("LRF",*(pt),btFreeNode,NULL); *(pt)=NULL;}
#define btSTOP 0
#define btKEEPON 1
#define btJUMP 2

BTREE btNew(void *data,size_t size,BTREE left,BTREE right);
int btFreeNode(BTREE t,void *data);
int btBrowseDepth(char *order,BTREE t,int (*action)(BTREE,void *),void *data);


