/* Medtool Connection Classic Extended Header File */

/* Copyright  1992-1998 Ramon P. Otero. */
/* All Rights Reserved. */
/* Artificial Intelligence Lab. */
/* University of Corunna, Galicia, Spain. */
/* e-mail: medtool@dc.fi.udc.es */
/* url: www.dc.fi.udc.es/ai/medtool.html */
/* Feb. 1998 */


 /* all functions return an error message when not 1 */


 /* logging interface */
 /* ------------------ */
 /* the current user must be of type designer */

typedef (_far *fparam)(void);
 /* shown in temporal order of use */
int FAR PASCAL mcloggo (MCError);
 /* MCError: string for returned loggerrors */
 /* plese call it as:  mclogg ((MCError) loggerror); */
 /* return 1 OK, else error */
int FAR PASCAL mclogghook (fparam);
 /* logg function to print logging messages */
 /* plese call it as:  logghook ((fparam) &yourloggfunction); */
 /* return 1 OK, else error */

 /* logging internal */
 /* ------------------ */
 /* the current user must be of type designer */
int FAR PASCAL mclogginternal (int i);
 /* i: on/off logg internal */
 /* plese call it as:  mclogginternal(1); or mclogginternal(0);*/
 /* return 1 OK, else error */


 /* designer interface */
 /* ------------------ */
 /* the current user must be of type designer */

 /* trace levels when inferring */
#define CYCLES 1
#define INFERED 2
#define IGNORED 4
#define PERTINENT 8
#define CHAIN 16
#define DETAIL 32
#define MOREDETAIL 64
 /* trace level */
int FAR PASCAL mctracelevel (unsigned int);
 /* unsigned int: trace level build ored */
 /* example of use: tracelevel((unsigned int)(CYCLES|INFERED)); */

typedef (_far *Tracefunction)(sparam);
int FAR PASCAL mctracehook (Tracefunction);
 /* trace function to print trace messages */



/* end of Extended Header File */