/* Medtool Connection Classic Input/Output User Header File */

/* Copyright  1992-1998 Ramon P. Otero. */
/* All Rights Reserved. */
/* Artificial Intelligence Lab. */
/* University of Corunna, Galicia, Spain. */
/* e-mail: medtool@dc.fi.udc.es */
/* url: www.dc.fi.udc.es/ai/medtool.html */
/* Feb. 1998 */

/* Unix */
#ifdef UNIX
#define _far
#define FAR
#define PASCAL
#endif

 /* all functions return 0 when error */
 /* and an error message in error string */
/*typedef char _far *MCError;
typedef char _far *sparam;
typedef unsigned int _far *uparam;
typedef unsigned char _far *cparam;
typedef unsigned long _far *lparam;
typedef double _far *dparam;
typedef struct tm _far *tparam;*/

 /* error string definition */
/*#ifdef smallapp
char medioerror[512]="";
#else
extern char medioerror[];
#endif*/

int FAR PASCAL mcioerror (MCError);
 /* MCError: string for returned errors */
 /* plese call it as:  mcioerror ((MCError) medioerror); */
 /* return 1 OK, else error */
 /* return when 1: medioerror contains MCIO version id */
 /* MCIO version id: "MCIO-nnnl", nnn=number, l=language */
 /* language: "u" USA, "e" Spain */

 /* notify messages */
#define MAXNOTIFY 2
#define NO_INFEREND 1
#define NO_INFERBEGIN 2

int FAR PASCAL mcnotify (unsigned int);
 /* unsigned int: coded message */

int FAR PASCAL mclogg (sparam);
 /* sparam: logg message */

#ifdef WIN
int FAR PASCAL mcloggparam (HWND,unsigned int,sparam);
 /* window, control, string */
#endif

int FAR PASCAL mcioexit (void);
 /* exit from mcio, only when necessary */

/* value states */
#define NS_NEW 0
#define NS_UNKNOWN 1
#define NS_PERSISTENT 2
#define NS_NONEW 2

int FAR PASCAL mcinput (unsigned int, unsigned int, sparam, uparam, dparam, sparam);
 /* params: subject id, dataid, dataname, new value state, new value when number, new value when not number */
int FAR PASCAL mcoutput (unsigned int, unsigned int, sparam, unsigned int, double, sparam);
 /* params: subject id, dataid, dataname, out value state, out value when number, out value when not number */


/* end of Header File */
