#include <string.h>
#include "queue.h"
#include "sets.h"
#include "btree.h"
#include "icode.h"
#include "basic.h"

struct tGenericFunctions basicGF = 
    {basicInitAtom,showRule,nop,showInit,showAssign,nop,nop};

void basicInitAtom(struct tAtom *a, char Type)
{
  a->data=NULL;
}

void showInit(NUM atom,NUM value)
{
  printf("init ");
  showAtom(atom,FLUENT);
  printf(":=%d\n",value);
}

void showAssign(NUM atom,NUM value)
{
  printf("action ");
  showAtom(atom,ACTION);
  printf(":=%d\n",value);
}

void nop()
{
}

