#include "all.h"
/*
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "binvec.h"
*/

static unsigned char MASK[8]={0001,0002,0004,0010,0020,0040,0100,0200};

unsigned bvSize(unsigned size)
{
  double d;
  d=ceil( log((double)size)  /  (log(2.0) * sizeof(unsigned char))  );
  return (unsigned)d;
}

BINVEC bvNew(unsigned size)
{
  BINVEC p;
  p=(BINVEC)calloc(bvSize(size),sizeof(unsigned char));
  if (p==NULL) {printf("calloc error in bvNew\n");exit(0);} 
  return p;
}

void bvSet(BINVEC bv,unsigned pos,unsigned char value)
{
  div_t d;
  
  d=div(pos,BITS_PER_CHAR);
  if (value)
    bv[d.quot] |= MASK[d.rem];
  else
    bv[d.quot] &= ~ MASK[d.rem];
}

char bvVal(BINVEC bv,unsigned pos)
{
  div_t d;
  
  d=div(pos,BITS_PER_CHAR);
  return bv[d.quot]&MASK[d.rem];
}

BINVEC bvCopy(BINVEC bv,unsigned size)
{
  BINVEC aux;
  
  aux=(BINVEC)calloc(bvSize(size),sizeof(unsigned char));
  memcpy(aux,bv,bvSize(size));
  return aux;
}

/*
unsigned bvSize(unsigned size)
{
  if (size==1) {printf("1\n");exit(0);}
  return size*sizeof(unsigned char);
}

BINVEC bvNew(unsigned size)
{
  BINVEC p;
  p=(BINVEC)calloc(bvSize(size),sizeof(unsigned char));
  return p;
}

void bvSet(BINVEC bv,unsigned pos,unsigned char value)
{
    bv[pos] = value;
}

char bvVal(BINVEC bv,unsigned pos)
{
  return bv[pos];
}

BINVEC bvCopy(BINVEC bv,unsigned size)
{
  BINVEC aux;
  
  aux=(BINVEC)calloc(bvSize(size),sizeof(unsigned char));
  memcpy(aux,bv,bvSize(size));
  return aux;
}
*/
