#include "all.h"
/*#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "btree.h"
*/

/* Binary trees */

BTREE btNew(void *data,size_t size,BTREE left,BTREE right)
{
  BTREE t;
  t=(BTREE)malloc(sizeof(struct btNode)*2+size);
  memcpy(t->data,data,size);
  t->left=left;
  t->right=right;
  return t;
}

int btFreeNode(BTREE t,void *data)
{
  free(t);
  return btKEEPON;
}

int btBrowseDepth(char *order,BTREE t,int (*action)(BTREE,void *),void *data)
{
  char *ord=order;
  if (t==btEMPTY) return 1;
  for(;*ord!='\0';ord++)
  {
    switch(*ord) {
      case 'L': 
        if(btBrowseDepth(order,t->left,action,data)==btSTOP) return btSTOP;
	break;
      case 'R': 
        if(btBrowseDepth(order,t->right,action,data)==btSTOP) return btSTOP; 
	break;
      case 'F': 
        switch(action(t,data)) {
	  case btSTOP: return btSTOP;
	  case btJUMP: return btKEEPON;
	};
    }
  }
  return btKEEPON;
}


int btCopyNode(BTREE t,void *data)
{
  int size=(size_t)data;  
}

