/*****************************************************************************/
/*                                                                           */
/* Module:  palmc.h                                                          */
/* $VER:    1.0                                                              */
/* Date:    15-3-200                                                         */
/* Author:  Mario Otero Diaz						     */
/*                                                                           */
/*****************************************************************************/
#ifndef PALMC

/* all function return -1 on error*/
/* function protoptypes */
int OpenMedtool(void); /* open medtool */
int CreateMG(char *,int); /*create a MG with type (int) FLUENT Or ACTION*/
int AddKM(char *,char *); /*Add a KE to a created mg*/
int AddMGInitValue(char *,double); /*Add a initial valueto a created MG*/
int SaveES(void); /*Saves the expert system*/
int PutInNewDataSituation(void); /* needed before input data*/
int PutMGValue(char *,double); /*put a value to a MG*/
int FireTrans(void); /*call to infer*/
int ShowPertinents(void (*show)(char *));/* show pertinent mg's in this evaluation, show is a defined function to treat the mg*/
int GetMGValue(char *,double *); /* return the mg value, if it is unknown the function returns -1 and the mg value is set to -1 also*/
int GetMGUnknownValue(char *); /*is unknown the mg?*/
int GetMGPertinentValue(char *); /*is pertinent the mg */
int GetMGExternalValue(char *); /* is external the mg*/
int GetMGType(char *); /*return the mg type FUELNT of action*/
int AlreadyInputMG(char *); /*has the MG been  input*/
int ResetES(void);
#endif
