struct qNode {
  struct qNode *next;
  int data[0];
};

typedef struct qNode *QUEUE;

#define qEMPTY NULL
#define qIsEmpty(q) ((q)==NULL)
#define qIsNotEmpty(q) ((q)!=NULL)
#define qFirst(q,type) ((type *)(q)->next->data)
#define qNext(q) ((q)->next)
#define REPEATING 1
#define qInsertAt(pq,pos,e,size) ((*pq)==(pos))?qInsertFirst(pq,e,size):qInsertFirst(&p,e,size)
#define qPUSH(pq,e,type) qInsertFirst(pq,(void *)e,sizeof(type))
#define qPOP(pq,e,type) {memcpy((void *)e,(*(pq))->next->data,sizeof(type)); qDeleteFirst(pq);}

#define BREAKLINK(Q,QOLD,QNEXTOLD) {(QOLD)=(Q); (QNEXTOLD)=(Q)->next;(Q)=(Q)->next; (QOLD)->next=qEMPTY;}


int qInsertFirst(QUEUE *, void *, int);
int qInsertLast(QUEUE *, void *, int);
int qDeleteFirst(QUEUE *);
QUEUE qBrowse(QUEUE, int (*found)(QUEUE, void *),void *);
int qDelete(QUEUE *, QUEUE);
int qMove(QUEUE *, QUEUE *, int (*movethis)(void *),int);
int qFree(QUEUE *);
int qOrderedInsert(QUEUE *q, void *e, int size,int (*cmp)(void *, void *),
               char repeating);
int qDeleteThoseThat(QUEUE *q,int (*DeleteThis)(QUEUE,void *),void *data);
QUEUE qCopy(QUEUE q,int size);
QUEUE qMerge(QUEUE q,QUEUE r,int size,int (*cmp)(void *,void *),char repeating);
QUEUE qIntersect(QUEUE q,QUEUE r,int size,int (*cmp)(void *,void *));
QUEUE qDiff(QUEUE q,QUEUE r,int size,int (*cmp)(void *,void *));
unsigned int qCount(QUEUE q);
void *Queue2Array(QUEUE q,size_t size,unsigned int *num);
QUEUE qCat(QUEUE q,QUEUE r);
