typedef unsigned int POS;
typedef struct {POS next,prev;} SSNODE;
typedef SSNODE *SSTACK;

#define ssBOTTOM(s) (((s)[0].prev)-1)
#define ssTOP(s) (((s)[0].next)-1)
#define ssISEMPTY(s) (((s)[0].next)==0)

int ssInit(SSTACK *s,POS size);
int ssSequentialFill(SSTACK s,POS last);
int ssPush(SSTACK s,POS e);
int ssPop(SSTACK s);
int ssInsertLast(SSTACK s,POS e);
int ssDelete(SSTACK s,POS e);
int ssMoveTop(SSTACK s,POS e);
int ssMoveBottom(SSTACK s,POS e);
int ssShow(SSTACK s);
